summaryrefslogtreecommitdiffstats
path: root/faac
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-01-30 22:05:36 +0000
committer Eric Hameleers <alien@slackware.com>2010-01-30 22:05:36 +0000
commit13d4f473ddee81392aae7611cc94191287827dad (patch)
tree89c4f8bb59f94afcb4c44352f768fcf6f065c353 /faac
parentee8f7565aa0bf1b46ed502d302df5047e2c1161d (diff)
downloadasb-13d4f473ddee81392aae7611cc94191287827dad.tar.gz
asb-13d4f473ddee81392aae7611cc94191287827dad.tar.xz
Updated for Slackware 13
Diffstat (limited to 'faac')
-rwxr-xr-xfaac/build/faac.SlackBuild45
1 files changed, 22 insertions, 23 deletions
diff --git a/faac/build/faac.SlackBuild b/faac/build/faac.SlackBuild
index 05d2a18e..01b27c3a 100755
--- a/faac/build/faac.SlackBuild
+++ b/faac/build/faac.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2009 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2009,2010 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,6 +32,8 @@
# Changelog:
# 1.28-1: 19/May/2009 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 1.28-2: 30/Jan/2009 by Eric Hameleers <alien@slackware.com>
+# * Rebuild.
#
# Run 'sh faac.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -43,8 +45,7 @@
PRGNAM=faac
VERSION=${VERSION:-1.28}
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
@@ -65,31 +66,35 @@ SRCURL="http://downloads.sourceforge.net/${PRGNAM}/${PRGNAM}-${VERSION}.tar.bz2"
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ *) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
@@ -157,13 +162,7 @@ CFLAGS="$SLKCFLAGS" \
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
# Install all the needed stuff to the package dir
-# Use installwatch if available, to produce a logfile of the installation
-# process that is more easily readable:
-if $(which installwatch > /dev/null 2>&1); then
- installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
-else
- make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
-fi
+make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION